Subject: Re: beta17.1: h_errno?
From: [email-masked] ("Who cares...")

8 Feb 1997 07:42:48 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.OSF.3.91.970208055658.22765D-100000.cygnus.gnu-win32@oracle>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: Assar Westerlund <[email-masked]>
Original-Cc: Sergey Okhapkin <[email-masked]>,
        "[email-masked]" <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

try adding this:
#include <sys/errno.h>
hope that helps!

On 7 Feb 1997, Assar Westerlund wrote:

> Sergey Okhapkin <[email-masked]> writes:
> > Assar Westerlund wrote:
> > > In beta 17.1 (running NT 3.51), there's a declaration of `h_errno' in
> > > <netdb.h>, but there's no definition.  I guess that's not the way it's
> > 
> > Variable h_errno defined in cygwin.dll.
> 
> I tried compiling this program:
> 
> ----------------------------------------------------------------------
> #include <netdb.h>
> 
> int main()
> {
>   int foo = h_errno;
> }
> ----------------------------------------------------------------------
> 
> And I get undefined reference.
> 
> nm cygwin.dll | grep h_errno finds no h_errno either.
> 
> /assar
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".